<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Symbol Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_symbol-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Symbol Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_symbol_8h_source.html">Symbol.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Symbol:</div>
<div class="dyncontent">
<div class="center"><img src="class_symbol__inherit__graph.png" border="0" usemap="#_symbol_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Symbol:</div>
<div class="dyncontent">
<div class="center"><img src="class_symbol__coll__graph.png" border="0" usemap="#_symbol_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5a721de8c7f89319f149e7a1bcd1be07"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a5a721de8c7f89319f149e7a1bcd1be07">Symbol</a> (const string=&quot;&quot;, const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>=<a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3aec7e29bf544eacca1fe00258e0590a6b">TSymbol</a>)</td></tr>
<tr class="separator:a5a721de8c7f89319f149e7a1bcd1be07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10bcfc87045b9f2670b7b8a78b269682"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a10bcfc87045b9f2670b7b8a78b269682">Symbol</a> (const <a class="el" href="class_symbol.html">Symbol</a> &amp;)</td></tr>
<tr class="separator:a10bcfc87045b9f2670b7b8a78b269682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a505360ad4bd2e0bd1e3954eca1b05723"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a505360ad4bd2e0bd1e3954eca1b05723">~Symbol</a> ()</td></tr>
<tr class="separator:a505360ad4bd2e0bd1e3954eca1b05723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeab1b412abc3a0df0f74fed3104c221d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#aeab1b412abc3a0df0f74fed3104c221d">getType</a> () const</td></tr>
<tr class="separator:aeab1b412abc3a0df0f74fed3104c221d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61756c51c1297d322ef070a35a5ae10c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a61756c51c1297d322ef070a35a5ae10c">setType</a> (const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>)</td></tr>
<tr class="separator:a61756c51c1297d322ef070a35a5ae10c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a992177f59b310d6319a59237a8aad2"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a9a992177f59b310d6319a59237a8aad2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="class_symbol.html">Symbol</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="class_symbol.html#a9a992177f59b310d6319a59237a8aad2">operator=</a> (const T)</td></tr>
<tr class="separator:a9a992177f59b310d6319a59237a8aad2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dcd69327eb98f2bbc2363689490dfef"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_symbol.html#a2dcd69327eb98f2bbc2363689490dfef">operator==</a> (const <a class="el" href="class_symbol.html">Symbol</a> &amp;)</td></tr>
<tr class="separator:a2dcd69327eb98f2bbc2363689490dfef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5a721de8c7f89319f149e7a1bcd1be07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a721de8c7f89319f149e7a1bcd1be07">&#9670;&nbsp;</a></span>Symbol() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Symbol::Symbol </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>newArray</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>&#160;</td>
          <td class="paramname"><em>newType</em> = <code><a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3aec7e29bf544eacca1fe00258e0590a6b">TSymbol</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a10bcfc87045b9f2670b7b8a78b269682"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10bcfc87045b9f2670b7b8a78b269682">&#9670;&nbsp;</a></span>Symbol() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Symbol::Symbol </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_symbol.html">Symbol</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a505360ad4bd2e0bd1e3954eca1b05723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a505360ad4bd2e0bd1e3954eca1b05723">&#9670;&nbsp;</a></span>~Symbol()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Symbol::~Symbol </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aeab1b412abc3a0df0f74fed3104c221d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeab1b412abc3a0df0f74fed3104c221d">&#9670;&nbsp;</a></span>getType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a> Symbol::getType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a992177f59b310d6319a59237a8aad2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a992177f59b310d6319a59237a8aad2">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_symbol.html">Symbol</a> &amp; Symbol::operator= </td>
          <td>(</td>
          <td class="paramtype">const T&#160;</td>
          <td class="paramname"><em>newValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2dcd69327eb98f2bbc2363689490dfef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dcd69327eb98f2bbc2363689490dfef">&#9670;&nbsp;</a></span>operator==()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Symbol::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_symbol.html">Symbol</a> &amp;&#160;</td>
          <td class="paramname"><em>newSymbol</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a61756c51c1297d322ef070a35a5ae10c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61756c51c1297d322ef070a35a5ae10c">&#9670;&nbsp;</a></span>setType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Symbol::setType </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_symbol_8h.html#add8909e1085c0c32f8380ff493a243b3">SymbolType</a>&#160;</td>
          <td class="paramname"><em>newType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_symbol_8h_source.html">Symbol.h</a></li>
<li>src/<a class="el" href="_symbol_8cpp.html">Symbol.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
